[ARVADOS-DEV] updated: 1ff88838f9ca6a912411fb6bf3df217e1bcdcbe9

Git user git at public.arvados.org
Thu Jan 9 20:00:26 UTC 2020


Summary of changes:
 jenkins/run-cwl-test.sh                      | 1 +
 jenkins/upload_packages_testing_to_stable.sh | 5 ++++-
 2 files changed, 5 insertions(+), 1 deletion(-)

       via  1ff88838f9ca6a912411fb6bf3df217e1bcdcbe9 (commit)
      from  7fd92565a8d75d19521ff5c20fafbb103f0a1a27 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 1ff88838f9ca6a912411fb6bf3df217e1bcdcbe9
Author: Peter Amstutz <tetron at ci.arvados.org>
Date:   Thu Jan 9 19:57:23 2020 +0000

    upload_packages_testing_to_stable.sh add trailing '*' to package patterns
    
    run-cwl-test.sh: log ssh command on DEBUG
    
    no issue #

diff --git a/jenkins/run-cwl-test.sh b/jenkins/run-cwl-test.sh
index c2f2683..71c08c6 100755
--- a/jenkins/run-cwl-test.sh
+++ b/jenkins/run-cwl-test.sh
@@ -147,6 +147,7 @@ function run_command() {
     title "Running '${command/ARVADOS_API_TOKEN=* /ARVADOS_API_TOKEN=suppressed }' on $node"
     TMP_FILE=`mktemp`
     if [[ "$DEBUG" != "0" ]]; then
+      echo ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $ACCT@$node -C "$command" | tee $TMP_FILE
       ssh -t -p$SSH_PORT -o "StrictHostKeyChecking no" -o "ConnectTimeout 125" $ACCT@$node -C "$command" | tee $TMP_FILE
       ECODE=$?
     else
diff --git a/jenkins/upload_packages_testing_to_stable.sh b/jenkins/upload_packages_testing_to_stable.sh
index 0e38606..66ecd97 100755
--- a/jenkins/upload_packages_testing_to_stable.sh
+++ b/jenkins/upload_packages_testing_to_stable.sh
@@ -7,6 +7,8 @@
 # Parameters: list of packages, space separated, to move from *-testing to *
 # under /var/lib/freight/apt/ in host public.curoverse.com
 
+set -x
+
 APT_REPO_SERVER="apt.arvados.org"
 RPM_REPO_SERVER="rpm.arvados.org"
 
@@ -29,7 +31,7 @@ fi
 
 # Sanitize the vars in a way suitable to be used by the remote 'publish_packages.sh' script
 # Just to make copying a single line, and not having to loop over it
-PACKAGES_LIST=$(echo ${PACKAGES_TO_PUBLISH} | sed 's/[a-z-]*-gem: [0-9\.]*//g; s/versions://g; s/\([0-9]\)[$, ]/\1* /g; s/[[:blank:]]\+/,/g; s/^,//g; s/:,/*/g')
+PACKAGES_LIST=$(echo ${PACKAGES_TO_PUBLISH}\* | sed 's/[a-z-]*-gem: [0-9\.]*//g; s/versions://g; s/\([0-9]\)[$, ]/\1* /g; s/[[:blank:]]\+/,/g; s/^,//g; s/:,/*/g')
 
 DISTROS=$(echo "${LSB_DISTRIB_CODENAMES}"|sed s/[[:space:]]/,/g |tr '[:upper:]' '[:lower:]')
 
@@ -51,6 +53,7 @@ ssh -t \
     -o "ConnectTimeout 5" \
     ${REPO_SERVER} \
     "${REMOTE_CMD}" | tee ${TMP_FILE}
+ECODE=$?
 
 grep -q "FAILED TO PUBLISH" ${TMP_FILE}
 if [ $? -eq 0 ]; then

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list